Recent

Author Topic: SQLdb und MySQL 5  (Read 3406 times)

Wonko

  • Newbie
  • Posts: 1
SQLdb und MySQL 5
« on: August 11, 2006, 07:56:07 pm »
I found some hints, that it is possible to connect to MySQL 5 from Lazarus using SQLdb.

I tried the program "MySql demo using SQLdb components 8 April 2005" from http://sourceforge.net/project/showfiles.php?group_id=92177&package_id=148359

When I click the connect button I always get the error message:

"This program con only work with the MySQL client version 4.0.x. Please use the right version of libmysqlclient.so."

I tried the libmysqlclient.so.14 and libmysqlclient.so.15 (both were installed with my MySQL-Server).

What can I do to get it work?

RudieD

  • Full Member
  • ***
  • Posts: 234
RE: SQLdb und MySQL 5
« Reply #1 on: August 15, 2006, 01:38:52 pm »
I think you will have to replace the TMySQLConnect with TMySQL50Connect. The components have been split.
The FRED Trainer. (Training FRED with Lazarus/FPC)